VULKAN_HPP_NAMESPACE::Sampler Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | Sampler ()
VULKAN_HPP_CONSTEXPR | Sampler (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | Sampler (VkSampler sampler)
Sampler & | operator= (std::nullptr_t)
bool | operator== (Sampler const &rhs) const
bool | operator!= (Sampler const &rhs) const
bool | operator< (Sampler const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkSampler () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkSampler | m_sampler

## Detailed Description

Definition at line 3547 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Sampler() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Sampler::Sampler | ( |  | ) |

inline

Definition at line 3550 of file vulkan.hpp.

: m_sampler(VK_NULL_HANDLE)
{}

## Sampler() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Sampler::Sampler | ( | std::nullptr_t |  | ) |

inline

Definition at line 3554 of file vulkan.hpp.

: m_sampler(VK_NULL_HANDLE)
{}

## Sampler() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Sampler::Sampler | ( | VkSampler | sampler | ) |

inline

Definition at line 3558 of file vulkan.hpp.

: m_sampler( sampler )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::Sampler::operator bool | ( |  | ) | const

inline explicit

Definition at line 3598 of file vulkan.hpp.

{
return m_sampler != VK_NULL_HANDLE;
}

References m_sampler, and VK_NULL_HANDLE.

## operator VkSampler()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Sampler::operator VkSampler | ( |  | ) | const

inline

Definition at line 3593 of file vulkan.hpp.

{
return m_sampler;
}

References m_sampler.

## operator!()

bool VULKAN_HPP_NAMESPACE::Sampler::operator! | ( |  | ) | const

inline

Definition at line 3603 of file vulkan.hpp.

{
return m_sampler == VK_NULL_HANDLE;
}

References m_sampler, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::Sampler::operator!= | ( | Sampler const & | rhs | ) | const

inline

Definition at line 3581 of file vulkan.hpp.

{
return m_sampler != rhs.m_sampler;
}

References m_sampler.

## operator<()

bool VULKAN_HPP_NAMESPACE::Sampler::operator< | ( | Sampler const & | rhs | ) | const

inline

Definition at line 3586 of file vulkan.hpp.

{
return m_sampler < rhs.m_sampler;
}

References m_sampler.

## operator=()

Sampler& VULKAN_HPP_NAMESPACE::Sampler::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 3570 of file vulkan.hpp.

{
m_sampler = VK_NULL_HANDLE;
return *this;
}

References m_sampler, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::Sampler::operator== | ( | Sampler const & | rhs | ) | const

inline

Definition at line 3576 of file vulkan.hpp.

{
return m_sampler == rhs.m_sampler;
}

References m_sampler.

## Field Documentation

## m_sampler

VkSampler VULKAN_HPP_NAMESPACE::Sampler::m_sampler

private

Definition at line 3609 of file vulkan.hpp.

Referenced by operator bool(), operator VkSampler(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49
sampler
GLuint sampler
Definition: SDL_opengl_glext.h:1540
VULKAN_HPP_NAMESPACE::Sampler::m_sampler
VkSampler m_sampler
Definition: vulkan.hpp:3609